import React, { useContext } from 'react';
import CTAButton from '../CTAButton/CTAButton';
import QuizContext from '../CioQuiz/context';
function ZeroResults() {
    const { getResetQuizButtonProps } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-zero-results' },
        React.createElement("h3", { className: 'cio-zero-results-subtitle' }, "Sorry, it seems like we couldn\u2019t find results based on your answers."),
        React.createElement("p", { className: 'cio-zero-results-description' }, "This is embarrassing \uD83D\uDE22. It might be that some of the questions are not properly set up from our end. Would you give us another try?"),
        React.createElement(CTAButton, { ctaText: 'Try Again', propsGetters: getResetQuizButtonProps })));
}
export default ZeroResults;
