"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuizAPIActionTypes = exports.QuestionTypes = void 0;
// Local Actions
var QuestionTypes;
(function (QuestionTypes) {
    QuestionTypes["OpenText"] = "open";
    QuestionTypes["Cover"] = "cover";
    QuestionTypes["SingleSelect"] = "single";
    QuestionTypes["MultipleSelect"] = "multiple";
    QuestionTypes["Next"] = "next";
    QuestionTypes["Back"] = "back";
    QuestionTypes["Reset"] = "reset";
    QuestionTypes["Hydrate"] = "hydrate";
})(QuestionTypes = exports.QuestionTypes || (exports.QuestionTypes = {}));
// API actions
var QuizAPIActionTypes;
(function (QuizAPIActionTypes) {
    QuizAPIActionTypes[QuizAPIActionTypes["SET_IS_LOADING"] = 0] = "SET_IS_LOADING";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_IS_ERROR"] = 1] = "SET_IS_ERROR";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_QUIZ_RESULTS"] = 2] = "SET_QUIZ_RESULTS";
    QuizAPIActionTypes[QuizAPIActionTypes["SET_CURRENT_QUESTION"] = 3] = "SET_CURRENT_QUESTION";
    QuizAPIActionTypes[QuizAPIActionTypes["RESET_QUIZ"] = 4] = "RESET_QUIZ";
})(QuizAPIActionTypes = exports.QuizAPIActionTypes || (exports.QuizAPIActionTypes = {}));
