/// <reference types="react" />
import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { ActionAnswerQuestion, ActionQuizAPI } from '../../components/CioQuiz/actions';
import { QuizAPIReducerState } from '../../components/CioQuiz/quizApiReducer';
import { QuizLocalReducerState } from '../../components/CioQuiz/quizLocalReducer';
import { IQuizProps } from '../../types';
type UseQuizState = (quizOptions: IQuizProps, cioClient: ConstructorIOClient) => {
    quizApiState: QuizAPIReducerState;
    quizLocalState: QuizLocalReducerState;
    dispatchApiState: React.Dispatch<ActionQuizAPI>;
    dispatchLocalState: React.Dispatch<ActionAnswerQuestion>;
    hasQuizStoredState: () => boolean;
    quizStateKey: string;
};
declare const useQuizState: UseQuizState;
export default useQuizState;
